Extending Qt Creator Manual | IVersionControl

Extending Qt Creator Manual 4.5.2

# IVersionControl Class

(Core::IVersionControl)

- List of all members, including inherited members

## Public Types

class | TopicCache
enum | OpenSupportMode { NoOpen }
enum | Operation { AddOperation, DeleteOperation, MoveOperation, CreateRepositoryOperation, ..., InitialCheckoutOperation }
enum | SettingsFlag { AutoOpen }
flags | SettingsFlags

## Public Functions

| IVersionControl(TopicCache *topicCache = 0)
virtual | ~IVersionControl()
virtual QString | displayName() const = 0
virtual Id | id() const = 0

## Signals

void | configurationChanged()
void | filesChanged(const QStringList &files)
void | repositoryChanged(const QString &repository)

## Member Type Documentation

### enum IVersionControl::OpenSupportMode

### enum IVersionControl::Operation

### enum IVersionControl::SettingsFlag
flags IVersionControl::SettingsFlags

The SettingsFlags type is a typedef for QFlags<SettingsFlag>. It stores an OR combination of SettingsFlag values.

## Member Function Documentation

### IVersionControl::IVersionControl(TopicCache *topicCache = 0)

Default constructs an instance of IVersionControl.

### `[virtual]` IVersionControl::~IVersionControl()

Destroys the instance of IVersionControl. The destructor is virtual.

### `[signal]` void IVersionControl::configurationChanged()

### `[pure virtual]` QString IVersionControl::displayName() const

### `[signal]` void IVersionControl::filesChanged(const QStringList &files)

### `[pure virtual]` Id IVersionControl::id() const

### `[signal]` void IVersionControl::repositoryChanged(const QString &repository)